#define std_lang_Error_IMPORT

#include <std/lang/Error.h>

const char *
Error_toString(const struct Error *e)
{
    return e->name;
}

const struct Error *
Error_getParent(const struct Error *e)
{
    return (e->parent == NULL) ? NULL : *(e->parent);
}

int
Error_hasAncestor(const struct Error *e, const struct Error *ancestor)
{
    while (e != NULL && e != ancestor)
	e = (e->parent == NULL) ? NULL : *(e->parent);
    return (e != NULL);
}
